|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerMetaDataBaseItemInterface Class Reference

The QDesignerMetaDataBaseItemInterface class provides an interface to individual items in Qt Designer's meta database. More...

    #include <QDesignerMetaDataBaseItemInterface>

Part of the QtDesigner module.

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerMetaDataBaseItemInterface ()
- virtual bool enabled () const = 0
- virtual QString name () const = 0
- virtual void setEnabled ( bool enabled ) = 0
- virtual void setName ( const QString & name ) = 0
- virtual void setTabOrder ( const QList<QWidget *> & tabOrder ) = 0
- virtual QList<QWidget *> tabOrder () const = 0

## Detailed Description

The QDesignerMetaDataBaseItemInterface class provides an interface to individual items in Qt Designer's meta database.

This class allows individual items in Qt Designer's meta-data database to be accessed and modified. Use the QDesignerMetaDataBaseInterface class to change the properties of the database itself.

## Member Function Documentation

### QDesignerMetaDataBaseItemInterface::~QDesignerMetaDataBaseItemInterface () `[virtual]`

Destroys the item interface to the meta-data database.

### bool QDesignerMetaDataBaseItemInterface::enabled () const `[pure virtual]`

Returns whether the item is enabled.

See also setEnabled().

### QString QDesignerMetaDataBaseItemInterface::name () const `[pure virtual]`

Returns the name of the item in the database.

See also setName().

### void QDesignerMetaDataBaseItemInterface::setEnabled ( bool enabled ) `[pure virtual]`

If enabled is true, the item is enabled; otherwise it is disabled.

See also enabled().

### void QDesignerMetaDataBaseItemInterface::setName ( const QString & name ) `[pure virtual]`

Sets the name of the item to the given name.

See also name().

### void QDesignerMetaDataBaseItemInterface::setTabOrder ( const QList<QWidget *> & tabOrder ) `[pure virtual]`

Sets the tab order in the form using the list of widgets defined by tabOrder.

See also tabOrder().

### QList<QWidget *> QDesignerMetaDataBaseItemInterface::tabOrder () const `[pure virtual]`

Returns a list of widgets in the order defined by the form's tab order.

See also setTabOrder().